## ros-lunar-urg-c 1.0.405

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(urg_c)

# Set library locations to better handle if upstream locations change
set(LIBRARY_DIR current)
set(LIBRARY_INCLUDE_DIR ${LIBRARY_DIR}/include)
set(LIBRARY_SRC_DIR ${LIBRARY_DIR}/src)
set(LIBRARY_SAMPLE_DIR ${LIBRARY_DIR}/samples)

find_package(catkin REQUIRED)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS ${LIBRARY_INCLUDE_DIR}
  LIBRARIES liburg_c
  CATKIN_DEPENDS
  DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(${LIBRARY_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

## Declare libraries
add_library(liburg_c ${LIBRARY_SRC_DIR}/urg_sensor.c
	                 ${LIBRARY_SRC_DIR}/urg_utils.c
	                 ${LIBRARY_SRC_DIR}/urg_debug.c
	                 ${LIBRARY_SRC_DIR}/urg_connection.c
	                 ${LIBRARY_SRC_DIR}/urg_ring_buffer.c
	                 ${LIBRARY_SRC_DIR}/urg_serial.c
	                 ${LIBRARY_SRC_DIR}/urg_serial_utils.c
	                 ${LIBRARY_SRC_DIR}/urg_tcpclient.c
	                 ${LIBRARY_SRC_DIR}/urg_time.c

)
if(NOT ANDROID)
	target_link_libraries(liburg_c -lrt -lm)
endif(NOT ANDROID)

add_library(open_urg_sensor ${LIBRARY_SAMPLE_DIR}/open_urg_sensor.c)
target_link_libraries(open_urg_sensor -lm liburg_c ${catkin_LIBRARIES})

## Declare samples
add_executable(angle_convert_test ${LIBRARY_SAMPLE_DIR}/angle_convert_test.c)
target_link_libraries(angle_convert_test liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(calculate_xy ${LIBRARY_SAMPLE_DIR}/calculate_xy.c)
target_link_libraries(calculate_xy liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(find_port ${LIBRARY_SAMPLE_DIR}/find_port.c)
target_link_libraries(find_port liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(get_distance ${LIBRARY_SAMPLE_DIR}/get_distance.c)
target_link_libraries(get_distance liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(get_distance_intensity ${LIBRARY_SAMPLE_DIR}/get_distance_intensity.c)
target_link_libraries(get_distance_intensity liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(get_multiecho ${LIBRARY_SAMPLE_DIR}/get_multiecho.c)
target_link_libraries(get_multiecho liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(get_multiecho_intensity ${LIBRARY_SAMPLE_DIR}/get_multiecho_intensity.c)
target_link_libraries(get_multiecho_intensity liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(reboot_test ${LIBRARY_SAMPLE_DIR}/reboot_test.c)
target_link_libraries(reboot_test liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(sensor_parameter ${LIBRARY_SAMPLE_DIR}/sensor_parameter.c)
target_link_libraries(sensor_parameter liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(sync_time_stamp ${LIBRARY_SAMPLE_DIR}/sync_time_stamp.c)
target_link_libraries(sync_time_stamp liburg_c open_urg_sensor ${catkin_LIBRARIES})

add_executable(timeout_test ${LIBRARY_SAMPLE_DIR}/timeout_test.c)
target_link_libraries(timeout_test liburg_c open_urg_sensor ${catkin_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS liburg_c open_urg_sensor angle_convert_test calculate_xy find_port
                get_distance get_distance_intensity get_multiecho get_multiecho_intensity
	            reboot_test sensor_parameter sync_time_stamp timeout_test
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY ${LIBRARY_INCLUDE_DIR}/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== current/Makefile ===
# Makefile for urgwidget

OUTPUT_HTML_DIR = html
OUTPUT_HTML_JA_DIR = html_ja

all :
	cd src/ && $(MAKE)
	cd samples/ && $(MAKE)

clean :
	$(RM) -rf html html_ja $(OUTPUT_HTML_DIR) $(OUTPUT_HTML_JA_DIR)
	cd src/ && $(MAKE) clean
	cd samples/ && $(MAKE) clean
	-cd viewers/ && $(MAKE) clean
	cd dox/ && $(MAKE) clean

html :
	cd dox/ && $(MAKE) img
	doxygen Doxyfile_ja
	cp COPYRIGHT.txt $(OUTPUT_HTML_JA_DIR)
	doxygen Doxyfile
	cp COPYRIGHT.txt $(OUTPUT_HTML_DIR)

.PHONY : all clean html
######################################################################

=== current/samples/Makefile ===
# Makefile for c/urg/samples
# $Id: Makefile,v ef6863dc48c6 2010/12/02 06:08:48 Satofumi $

# Compile options
SRCDIR = ../src
INCLUDEDIR = ../include
CC = gcc
CFLAGS = -g -O0 -Wall -Werror -W $(INCLUDES)
INCLUDES = -I$(INCLUDEDIR)
LDFLAGS =
LDLIBS = -lm `/bin/sh ld_wsock.sh` `/bin/sh ld_setupapi.sh`

# Target
TARGET = \
	get_distance \
	get_distance_intensity \
	get_multiecho \
	get_multiecho_intensity \
	calculate_xy \
	sync_time_stamp \
	sensor_parameter \
	find_port \
	timeout_test \
	reboot_test \
	angle_convert_test \

all : $(TARGET)

clean :
	$(RM) *.o $(TARGET)

depend :
	makedepend -Y -- $(INCLUDES) -- $(wildcard *.h *.c)

.PHONY : all depend clean
######################################################################
REQUIRE_LIB = $(SRCDIR)/liburg_c.a
$(REQUIRE_LIB) : $(wildcard $(SRCDIR)/*.[ch])
	cd $(@D)/ && $(MAKE) $(@F)

get_distance get_distance_intensity get_multiecho get_multiecho_intensity calculate_xy sync_time_stamp sensor_parameter timeout_test reboot_test angle_convert_test : open_urg_sensor.o $(REQUIRE_LIB)
find_port : $(REQUIRE_LIB)

# DO NOT DELETE

open_urg_sensor.o: ../include/urg_sensor.h ../include/urg_connection.h
open_urg_sensor.o: ../include/urg_serial.h ../include/urg_detect_os.h
open_urg_sensor.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
angle_convert_test.o: ../include/urg_sensor.h ../include/urg_connection.h
angle_convert_test.o: ../include/urg_serial.h ../include/urg_detect_os.h
angle_convert_test.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
angle_convert_test.o: ../include/urg_utils.h open_urg_sensor.h
calculate_xy.o: ../include/urg_sensor.h ../include/urg_connection.h
calculate_xy.o: ../include/urg_serial.h ../include/urg_detect_os.h
calculate_xy.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
calculate_xy.o: ../include/urg_utils.h open_urg_sensor.h
find_port.o: ../include/urg_serial_utils.h
get_distance.o: ../include/urg_sensor.h ../include/urg_connection.h
get_distance.o: ../include/urg_serial.h ../include/urg_detect_os.h
get_distance.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
get_distance.o: ../include/urg_utils.h open_urg_sensor.h
get_distance_intensity.o: ../include/urg_sensor.h ../include/urg_connection.h
get_distance_intensity.o: ../include/urg_serial.h ../include/urg_detect_os.h
get_distance_intensity.o: ../include/urg_ring_buffer.h
get_distance_intensity.o: ../include/urg_tcpclient.h ../include/urg_utils.h
get_distance_intensity.o: open_urg_sensor.h
get_multiecho.o: ../include/urg_sensor.h ../include/urg_connection.h
get_multiecho.o: ../include/urg_serial.h ../include/urg_detect_os.h
get_multiecho.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
get_multiecho.o: ../include/urg_utils.h open_urg_sensor.h
get_multiecho_intensity.o: ../include/urg_sensor.h
get_multiecho_intensity.o: ../include/urg_connection.h
get_multiecho_intensity.o: ../include/urg_serial.h ../include/urg_detect_os.h
get_multiecho_intensity.o: ../include/urg_ring_buffer.h
get_multiecho_intensity.o: ../include/urg_tcpclient.h ../include/urg_utils.h
get_multiecho_intensity.o: open_urg_sensor.h
open_urg_sensor.o: open_urg_sensor.h ../include/urg_sensor.h
open_urg_sensor.o: ../include/urg_connection.h ../include/urg_serial.h
open_urg_sensor.o: ../include/urg_detect_os.h ../include/urg_ring_buffer.h
open_urg_sensor.o: ../include/urg_tcpclient.h ../include/urg_utils.h
reboot_test.o: ../include/urg_sensor.h ../include/urg_connection.h
reboot_test.o: ../include/urg_serial.h ../include/urg_detect_os.h
reboot_test.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
reboot_test.o: ../include/urg_utils.h open_urg_sensor.h
sensor_parameter.o: ../include/urg_sensor.h ../include/urg_connection.h
sensor_parameter.o: ../include/urg_serial.h ../include/urg_detect_os.h
sensor_parameter.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
sensor_parameter.o: ../include/urg_utils.h open_urg_sensor.h
sync_time_stamp.o: ../include/urg_sensor.h ../include/urg_connection.h
sync_time_stamp.o: ../include/urg_serial.h ../include/urg_detect_os.h
sync_time_stamp.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
sync_time_stamp.o: ../include/urg_utils.h open_urg_sensor.h
timeout_test.o: ../include/urg_sensor.h ../include/urg_connection.h
timeout_test.o: ../include/urg_serial.h ../include/urg_detect_os.h
timeout_test.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
timeout_test.o: ../include/urg_utils.h ../include/urg_debug.h
timeout_test.o: open_urg_sensor.h

=== current/viewers/viewer_sdl/Makefile ===
# viewers/viewer_sdl/

# Compile options
SRCDIR = ../../src
INCLUDEDIR = ../../include
CC = gcc
#CFLAGS = -O2 -Wall -Werror -W $(INCLUDE) `sdl-config --cflags`
CFLAGS = -g -O0 -Wall -Werror -W $(INCLUDE) `sdl-config --cflags`
INCLUDE = -I$(INCLUDEDIR)
LDFLAGS = -L/usr/X11/lib
ifeq ($(OS),Windows_NT)
LDLIBS = `sdl-config --libs` -lopengl32 -lwsock32
else
LDLIBS = `sdl-config --libs` -lGL
endif


TARGET = viewer_sdl

all : $(TARGET)

clean :
	$(RM) $(TARGET) *.o

depend :
	makedepend -Y -- $(INCLUDES) -- $(wildcard *.h *.c)

.PHONY : all clean depend
######################################################################
REQUIRE_LIB = $(SRCDIR)/liburg_c.a
$(REQUIRE_LIB) : $(wildcard $(SRCDIR)/*.[ch])
	cd $(@D)/ && $(MAKE) $(@F)

viewer_sdl : plotter_sdl.o $(REQUIRE_LIB)

# DO NOT DELETE

plotter_sdl.o: plotter_sdl.h
viewer_sdl.o: plotter_sdl.h

=== debian/changelog ===
ros-lunar-urg-c (1.0.405-0xenial) xenial; urgency=high

  * pass *pointer to* system timestamp, sync issue on quit
  * Adding new maintainer.
  * Contributors: Tony Baltovski, knickels

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 07 Aug 2018 04:00:00 -0000

ros-lunar-urg-c (1.0.404-0xenial) xenial; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/urg_c/issues/2> from dawonn/master
    Issue #1 <https://github.com/ros-drivers/urg_c/issues/1> - missing libmath link
  * Ubuntu 14.04 Fix - missing libmath link
  * Fix build for Android.
  * Contributors: Chad Rockey, dawonn

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 28 Apr 2014 04:00:00 -0000

ros-lunar-urg-c (1.0.403-0xenial) xenial; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 04:00:00 -0000

ros-lunar-urg-c (1.0.402-0xenial) xenial; urgency=high

  * Missing header for Ubuntu Raring 13.04
  * Contributors: chadrockey

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 04:00:00 -0000

ros-lunar-urg-c (1.0.401-0xenial) xenial; urgency=high

  * Updated version to 1.0.401
  * Added files for catkin/bloom to release.
  * Added better system timestamp
  * Added more information functions.
  * Updated includes for urg_c folder.
  * Moving header files to be standardized for source builds.
  * fix document
  * fixed laser off fail when urg_close() has called
  * fixed tcpclient_open bug on Linux
  * added angle_convert_test.c
  * fixed for ethernet sensor
  * fixed windows.h include timing
  * fixed urg_c-config created
  * fixed ethernet open problem
  * fixed compile error
  * added reported user Adrian Boeing. thanks!
  * added releasenotes
  * removed rt link script
  * fixed for OSX
  * added AUTHORS.txt
  * fixed plotter's bug
  * fixed multiecho data's bug
  * fixed urg_tcpclient_open()'s bug
  * fixed receive_length data handling
  * fixed 'if' condition handling data store
  * fixed NULL pointer access bug
  * fixed QT after RB
  * fixed Gx stop bug
  * translated page titles
  * fixed urg_sensor_status() function's bug
  * fixed buffer size
  * remove duplicated file
  * fixed doxygen comment
  * fixed dependency
  * fixed closing time is too long.
  * added receive_command_response() internal function.
  * added document tag
  * sepalated urg_debug.[ch]
  * added samples
  * fixed download path document.
  * urg_sleep(), urg_wakeup, urg_is_stabl() are implemented.
  * fixed parameter receive method.
  * fixed localhost convert
  * fixed localhost ip_address
  * added type item
  * changed error handler return type
  * added urg_scip_decode() function.
  * added error handler
  * removed temporary image files
  * fixed OpenGL 1 support
  * fixed html mainpage
  * added sample compile check
  * translated some files.
  * translated mainpage.dox
  * fixed document.
  * added timestamp tutorial
  * added images
  * fixed indent
  * added doxygen comment
  * added document.
  * added tutorial samples
  * fixed dox comment
  * mainpage is created.
  * fixed document mainpage layout
  * added usage document.
  * adjusted mainpage.dox
  * modify how to build sample with Visual Studio on Readme_ja.txt
  * added install dox document
  * added install document
  * fixed laser_off handling
  * fixed connection timeout
  * fixed capture_times
  * fixed sample's bug
  * added visual studio samples.
  * added sensor_parameter vc project.
  * added visual studio 2005 project files.
  * windows compile.bat for winsock2
  * fixed for VC++ compile error.
  * omit stdbool.h .
  * changed UTF-8 -> CP932
  * fixed snprintf implementation.
  * New directory windowsexe to make windows exe files.
  * adjusted for cl.exe compile.
  * changed the character encoding SJIS
  * added connect timeout function.
  * fixed TCP/IP connect timeout
  * added CC=gcc
  * fixed information funciton's bug
  * fixed urg_firmware_version() fail at URG-04LX
  * fixed serial connection fail.
  * fixed sh scripts
  * fixed release package compile failed.
  * added comment.
  * added impelementation comment.
  * fixed winsock close
  * fixed Makefile error
  * adjusted open routine.
  * fixed link libraries
  * added mingw install setting
  * fixed sort bug.
  * fixed urg_serial_utils_windows.c
  * implemented urg_serial_utils_windows.c
  * implemented urg_serial_utils_linux.c
  * added urg_sensor_product_type() function
  * fixed scan times bug
  * fixed make clean rule
  * fixed link directory
  * added read/write function
  * fixed multiecho sample
  * fixed sample bug
  * urg_sensor_id() -> urg_sensor_serial_id()
  * fixed scan_skip timeout problem
  * added extern C
  * fixed viewer compile setting
  * fixed split script
  * fixed sample code's indent
  * fixed header indent
  * fixed urg_c-config
  * urg_c-config addes
  * include directory added
  * doxygen tag added
  * conflict COPYRIGHT and current/COPYRIGHT
  * Doxyfile added
  * fixed using OS env
  * fixed dist rule
  * printf debug message removed.
  * error output code removed
  * key zoom enabled
  * Readme.txt modified and COPYRIGHT added.
  * urg_tcpclient.h comments
  * fixed urg_index2rad()'s bug
  * remove debug print
  * Merge
  * fixed sample args parser
  * fixed urg_serial_windows.c compile error.
  * added ld_rt.sh
  * fixed multiecho intensity bug
  * plotter_sdl.c is implemented.
  * viewer_sdl debugging
  * viewer_sdl.c is implemented.
  * fixed struct name
  * fixed multiecho sample
  * fixed samples for -e option
  * adjusted for mingw.
  * fixed sh script
  * windows socket debugging
  * windows tcp debugging
  * windows tcp debugging
  * fixed mingw compile failed.
  * fixed ethernet sample error
  * removed -lrt option
  * fixed for mingw
  * 'urg_tcpclient.c urg_tcpclient.h modified and fixed.'
  * urg_tcpclient.c (tcpclient_readline() modified)
  * directories reaaranged.
  * Readme.txt modified.
  * tcpclient debugging.
  * urg_tcpclient.c was compiled by mingw gcc.


=== debian/control ===
Source: ros-lunar-urg-c
Section: misc
Priority: extra
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://sourceforge.net/projects/urgwidget/
Standards-Version: 3.9.2

Package: ros-lunar-urg-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The urg_c package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-urg-c//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
